import 'package:rayconnect_client/services/auth/main.dart';
import 'package:rayconnect_client/services/cloud/main.dart';
import 'package:rayconnect_client/services/profile/main.dart';
import 'package:rayconnect_client/services/run/main.dart';

class RayconnectClient {
  String endpoint = 'https://http.iranserver1.rayconnect.ir/api/v1';
  final String appId;

  RayconnectClient({this.appId});

  Auth get auth => new Auth(appId: this.appId);
  Profile get profile => new Profile(appId: this.appId);
  CloudStorage get cloudStorage => new CloudStorage(appId: this.appId);

  // ignore: non_constant_identifier_names
  Future<dynamic> Run({
    String scope, // rayconnect query's scope
    String address, // rayconnect query's address
    String method, // methods are POST or GET
    Map data, // http query when method is GET and http body when method is POST
  }) {
    return run(
      endpoint: this.endpoint,
      aid: this.appId,
      scope: scope,
      address: address,
      method: method,
      data: data,
    );
  }
}
