///    CLOAD STORAGE
///    It's like localStorage on browsers but data would not store on user's Computer!
///    Rayconnect has cloud one to store our user data on cloud :-)

import 'package:rayconnect_client/core/http.dart';

class CloudStorage {
  Http _http;

  CloudStorage({String appId}) {
    this._http = new Http(appId: appId);
  }

  // set data by key in cloud storage
  Future<bool> setItem(String key, String value) async {
    try {
      Map result = await this._http.post(
        url: 'https://s1.iranserver1.rayconnect.ir/api/v2/cloudstorage/set',
        auth: true,
        data: {
          'key': key,
          'value': value,
        },
      );
      // if there was an status on response, return it else return false cause we have a error :)
      return result['status'] != null ? result['status'] : false;
    } catch (e) {
      return false;
    }
  }

  // get data from key in cloud storage
  Future<dynamic> getItem(String key) async {
    try {
      Map result = await this._http.get(
            url:
                'https://s1.iranserver1.rayconnect.ir/api/v2/cloudstorage/get?key=$key',
            auth: true,
          );
      // if was any problem return null else return the data !
      if (result['status'] == false ||
          result['data'] == null ||
          result['data']['value'] == null)
        return null;
      else
        return result['data']['value'];
    } catch (e) {
      return null;
    }
  }

  // remove a data by key and set value to null to remove data
  Future<bool> removeItem(String key) {
    return this.setItem(key, null);
  }
}
