import 'package:rayconnect_client/core/http.dart';

Future<Map<String, dynamic>> run({
  String endpoint, // rayconnect endpoint
  String scope, // rayconnect query's scope
  String address, // rayconnect query's address
  String aid, // rayconnect app id
  String method, // methods are POST or GET and more
  Map data, // rayconnect request data
}) async {
  Http http = new Http(appId: aid);
  method = method.toUpperCase();
  if (data == null) data = {};
  try {
    return await http.post(url: '$endpoint/run?aid=$aid', auth: true, data: {
      'scope': scope,
      'address': address,
      'method': method,
      'data': data,
    });
  } catch (e) {
    return {'status': false};
  }
}
